#include "StdAfx.h"
#include "ButtonPropertyAccessor.h"
#include "ScriptletConstant.h"
#include "NButton.h"
#include "ScriptletUtil.h"

REGISTER_PROPERTY_ACCESSOR(SCRIPTLET_BUTTON_NODE, ButtonPropertyAccessor)
BOOL ButtonPropertyAccessor::SetProperty(CComponent* pTarget, LPCTSTR property, CComVariant value)
{
	BOOL bSuccess = __super::SetProperty(pTarget, property, value);
	if (bSuccess == FALSE)
	{
		// [:2008-09-22] pushed ó ߰
		if (_tcsicmp(SCRIPTLET_PUSHED_NODE, property) == 0)
		{
			BOOL bPushed = ScriptUtil::Varient2BOOL(&value);
			
			CNButton* button = dynamic_cast<CNButton*>(pTarget);
			if (button)
				button->SetPushed(bPushed);
			pTarget->Invalidate();
		}
	}
	return bSuccess;
}
BOOL ButtonPropertyAccessor::GetProperty(CComponent* pTarget, LPCTSTR property, CComVariant& value)
{
	BOOL bSuccess = __super::GetProperty(pTarget, property, value);
	if (bSuccess == FALSE)
	{

	}
	return bSuccess;
}
